Bug 742327 - Default DNS Administration Role - Permissions missing
Summary: Default DNS Administration Role - Permissions missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
: 745946 (view as bug list)
Depends On:
Blocks: 748554
TreeView+ depends on / blocked
 
Reported: 2011-09-29 17:53 UTC by Jenny Severance
Modified: 2013-08-19 15:17 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.3-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: permission objects related to DNS were improperly formatted and added before the relevant DNS privileges they are member of were added to LDAP Consequence: DNS related permissions contain just limited information. Additionally, the privilege objects they are member of lacks memberof LDAP attributes pointing back to the permissions. Thus, user can get an incorrect list of permissions that are members of DNS related privilege. Fix: When IPA package is upgraded, permission objects formatting is fixed and missing memberof LDAP attributes in relevant DNS privileges are added Result: User gets a valid list of permissions when displaying a DNS related privilege. The permissions contain all needed information.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:33:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-09-29 17:53:24 UTC
Description of problem:

For the Default DNS Administration Role there are not permissions assigned to the role and no default DNS permissions exist.

# ipa privilege-find "DNS Administrators"
-------------------
1 privilege matched
-------------------
  Privilege name: DNS Administrators
  Description: DNS Administrators
----------------------------
Number of entries returned 1
----------------------------


NOTE: No permissions like ...

# ipa privilege-find "User Administrators"
-------------------
1 privilege matched
-------------------
  Privilege name: User Administrators
  Description: User Administrators
  Permissions: add users, change a user password, add user to default group, unlock user accounts, remove users, modify users
  Granting privilege to roles: User Administrator
----------------------------
Number of entries returned 1
----------------------------

# ipa permission-find
does not return any DNS permissions


Version-Release number of selected component (if applicable):
ipa-server-2.1.1-4.el6.x86_64

How reproducible:


Steps to Reproduce:
1. see description
2.
3.
  
Actual results:
DNS Administrator Role exists with no permissions assigned
No DNS permissions

Expected results:
Default DNS permissions exist
DNS Administrator Role has the expected permissions assigned

Additional info:

Comment 1 Martin Kosek 2011-09-29 19:51:13 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1898

Comment 2 Martin Kosek 2011-10-13 08:31:55 UTC
Fixed upstream:

master: 7bd3b3e12147b794c4cf2f4457df5e20638c7b0e
ipa-2-1: 9386f154947cd683272f7dfd7797bd9e51c20994

Comment 3 Martin Kosek 2011-10-13 14:33:13 UTC
*** Bug 745946 has been marked as a duplicate of this bug. ***

Comment 5 Martin Kosek 2011-11-01 08:12:30 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: permission objects related to DNS were improperly formatted and added before the relevant DNS privileges they are member of were added to LDAP
Consequence: DNS related permissions contain just limited information. Additionally, the privilege objects they are member of lacks memberof LDAP attributes pointing back to the permissions. Thus, user can get an incorrect list of permissions that are members of DNS related privilege.
Fix: When IPA package is upgraded, permission objects formatting is fixed and missing memberof LDAP attributes in relevant DNS privileges are added
Result: User gets a valid list of permissions when displaying a DNS related privilege. The permissions contain all needed information.

Comment 6 Gowrishankar Rajaiyan 2011-11-03 08:27:10 UTC
[root@decepticons ~]# ipa privilege-find "DNS Administrators"
-------------------
1 privilege matched
-------------------
  Privilege name: DNS Administrators
  Description: DNS Administrators
  Permissions: add dns entries, remove dns entries, update dns entries
----------------------------
Number of entries returned 1
----------------------------
[root@decepticons ~]# 


Permissions now available by default. Verified.


Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.3                             Vendor: Red Hat, Inc.
Release     : 8.el6                         Build Date: Wed 02 Nov 2011 03:21:27 AM IST
Install Date: Thu 03 Nov 2011 10:13:53 AM IST      Build Host: x86-012.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.3-8.el6.src.rpm
Size        : 3381421                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 7 errata-xmlrpc 2011-12-06 18:33:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.